2018-12-12 19:02 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000244Branch 0.2.1-FINALBugpublic2016-11-23 10:10
ReporterQuix0r 
Assigned ToQuix0r 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.x - mod_php 5.2.x OSWindows Vista Ultimate x64OS VersionVista
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000244: Installation von ext-bonus endet mit Fehlermeldung
DescriptionDie Installation von ext-bonus endet mit einer Fehlermeldung:
------------------------------
Fehlermeldung: file=FILTER_RUN_SQLS,line=277:mysql_error()=You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'turbo_bonus' at line 1,last_query=ALTER TABLE `mailer_user_data` ADD `turbo_bonus` turbo_bonus
------------------------------
Backtrace:
1.:template-functions.php:1311, debug_get_mailable_backtrace(0)
2.:lib-mysql3.php:385, reportBug(3)
3.:lib-mysql3.php:96, sqlError(3)
4.:filters.php:277, sqlQuery(4)
5.:debug_get_mailable_backtrace:1053, FILTER_RUN_SQLS(1)
6.:filter-functions.php:335, call_user_func_array(2)
7.:extensions-functions.php:369, runFilterChain(2)
8.:extensions-functions.php:304, registerExtension(5)
9.:what-extensions.php:364, registerExtension(2)
10.:inc-functions.php:133, include(1)
11.:inc-functions.php:141, loadInclude(1)
12.:action-misc.php:50, loadIncludeOnce(1)
13.:inc-functions.php:133, include(1)
14.:admin-inc.php:223, loadInclude(1)
15.:admin.php:242, doAdminAction(0)
16.:inc-functions.php:133, include(1)
17.:inc-functions.php:141, loadInclude(1)
18.:module-functions.php:518, loadIncludeOnce(1)
19.:modules.php:55, doIncludeModule(0)
------------------------------
Abfrage-String: /mailer/branches/0.2.1-FINAL/modules.php?module=admin&what=extensions®ister_ext=autopurge
------------------------------
Verwendeter Browser: Mozilla/5.0 (X11; Linux i686; rv:17.0) Gecko/20100101 Firefox/17.0
------------------------------
IP-Nummer: 127.0.0.1 (Real: 127.0.0.1)
------------------------------
User-Id: 0
------------------------------

Bitte melden Sie diesen Bug im Forum oder Bug-Tracker von Mailer-Project, die Links dazu finden Sie am Ende dieser Mail. Diese Mail ist nicht an das Entwicklerteam weitergeleitet worden.

Alternativ können Sie auch auf diese Mail antworten (webmaster@mxchange.org), fügen Sie bitte das Logbuch inc/cache/debug.log und weitere Fehlermeldungen vom Script dazu.

Mit freundlichen Grüßen,
  Ihr Entwicklungsmailer (Laptop) Script

http://127.0.0.1/mailer/branches/0.2.1-FINAL/admin.php

Link zum Forum:
http://forum.mxchange.org

Link zum Bug-Tracker (wo Sie auch die Datei inc/cache/debug.log mit hochladen sollten):
http://bugs.mxchange.org

Link zum DokuWiki mit nützlichen, weiteren Hinweisen:
http://wiki.mxchange.org

Bug im Script erkannt.
Mailer-Project ist in Script/Funktion FILTER_RUN_SQLS, Zeile 277 mit folgender Meldung abgebrochen: Note: file=FILTER_RUN_SQLS,line=277:mysql_error()=You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'turbo_bonus' at line 1,last_query=ALTER TABLE `mailer_user_data` ADD `turbo_bonus` turbo_bonus
Please report this bug at http://bugs.mxchange.org and include this whole message + logfile from inc/cache/debug.log in your report (you can now attach files).
Backtrace:

    template-functions.php:1301, debug_get_printable_backtrace(0)
    lib-mysql3.php:385, reportBug(3)
    lib-mysql3.php:96, sqlError(3)
    filters.php:277, sqlQuery(4)
    debug_get_printable_backtrace:1032, FILTER_RUN_SQLS(1)
    filter-functions.php:335, call_user_func_array(2)
    extensions-functions.php:369, runFilterChain(2)
    extensions-functions.php:304, registerExtension(5)
    what-extensions.php:364, registerExtension(2)
    inc-functions.php:133, include(1)
    inc-functions.php:141, loadInclude(1)
    action-misc.php:50, loadIncludeOnce(1)
    inc-functions.php:133, include(1)
    admin-inc.php:223, loadInclude(1)
    admin.php:242, doAdminAction(0)
    inc-functions.php:133, include(1)
    inc-functions.php:141, loadInclude(1)
    module-functions.php:518, loadIncludeOnce(1)
    modules.php:55, doIncludeModule(0)

Request-URI: /mailer/branches/0.2.1-FINAL/modules.php?module=admin&what=extensions®ister_ext=autopurge
Thank you for finding bugs.
Steps To ReproduceEinfach die Erweiterung installieren (egal ob ueber den Direktlink oder per "Aufgabe bearbeiten" und dann auf den "Installieren" Button klicken).
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000620

Quix0r (administrator)

Sollte mit Revision 6393 gefixt sein.

~0000679

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2013-05-30 16:43 Quix0r New Issue
2013-05-30 16:43 Quix0r Status new => assigned
2013-05-30 16:43 Quix0r Assigned To => Quix0r
2013-05-30 18:48 Quix0r Note Added: 0000620
2013-05-30 18:48 Quix0r Status assigned => resolved
2013-05-30 18:48 Quix0r Fixed in Version => 0.2.1-FINAL
2013-05-30 18:48 Quix0r Resolution open => fixed
2016-11-23 10:10 Quix0r Note Added: 0000679
2016-11-23 10:10 Quix0r Status resolved => closed
+Issue History